## i915-4.2-3.13 4.2~rc1-1somerville2

=== Makefile ===
KVER        := $(shell uname -r)
KBASE       := /lib/modules/$(KVER)
KSRC        := $(KBASE)/source
KBUILD      := $(KBASE)/build
MOD_DIR     := $(KBASE)/kernel
PWD         := $(shell pwd)

I9_MODULES  := i915.o drm.o drm_kms_helper.o intel_ips.o drm_mipi_dsi.o

CPATH       := $(KBUILD_EXTMOD)/drivers/gpu/drm/i915

INC_INCPATH := $(KBUILD_EXTMOD)/include
DRMD        := drivers/gpu/drm/

I915_ITEMS  := i915_drv \
               i915_params \
               i915_suspend \
               i915_sysfs \
               intel_pm \
	       intel_runtime_pm \
               intel_csr \
               i915_cmd_parser \
               i915_gem_batch_pool \
               i915_gem_context \
               i915_gem_render_state \
               i915_gem_debug \
               i915_gem_dmabuf \
               i915_gem_evict \
               i915_gem_execbuffer \
               i915_gem_gtt \
               i915_gem \
               i915_gem_shrinker \
               i915_gem_stolen \
               i915_gem_tiling \
               i915_gem_userptr \
               i915_gpu_error \
               i915_irq \
               i915_trace_points \
               i915_vgpu \
	       intel_lrc \
               intel_ringbuffer \
               intel_uncore \
               intel_renderstate_gen6 \
               intel_renderstate_gen7 \
               intel_renderstate_gen8 \
	       intel_renderstate_gen9 \
	       intel_audio \
               intel_bios \
               intel_display \
               intel_fbc \
	       intel_fifo_underrun \
	       intel_frontbuffer \
               intel_modes \
               intel_overlay \
	       intel_psr \
               intel_sideband \
               intel_sprite \
               dvo_ch7017 \
               dvo_ch7xxx \
               dvo_ivch \
               dvo_ns2501 \
               dvo_sil164 \
               dvo_tfp410 \
               intel_atomic \
               intel_atomic_plane \
               intel_crt \
               intel_ddi \
               intel_dp \
	       intel_dp_mst \
               intel_dsi \
               intel_dsi_pll \
               intel_dsi_panel_vbt \
               intel_dvo \
               intel_hdmi \
               intel_i2c \
               intel_lvds \
               intel_panel \
               intel_sdvo \
               intel_tv \
               i915_dma

DRM_ITEMS   := drm_auth drm_bufs drm_cache \
               drm_context drm_dma \
               drm_fops drm_gem drm_ioctl drm_irq \
               drm_lock drm_memory drm_drv drm_vm \
               drm_agpsupport drm_scatter drm_pci \
               drm_platform drm_sysfs drm_hashtab drm_mm \
               drm_crtc drm_modes drm_edid \
               drm_info drm_debugfs drm_encoder_slave \
               drm_trace_points drm_global drm_prime \
               drm_rect drm_vma_manager drm_flip_work \
               drm_modeset_lock drm_atomic drm_bridge

# this prioritises the DKMS package include directories over the kernel headers
# allowing us to override header files where the 3.12.x versions have extra
# structs and declarations and so forth that we need for the backport to build

export CPATH

.PHONY: default clean modules load unload install patch

# make sure our dkms includes override local ones:
LINUXINCLUDE := -I$(INC_INCPATH) -I$(INC_INCPATH)/drm -I$(INC_INCPATH)/uapi $(LINUXINCLUDE)
ccflags-y    := -Iinclude/drm

# construct the object file lists to match the in-tree Makefiles:
drm_kms_helper-y := \
    $(patsubst %,$(DRMD)%.o,drm_crtc_helper drm_dp_helper drm_probe_helper drm_plane_helper drm_dp_mst_topology drm_atomic_helper)
drm_kms_helper-$(CONFIG_DRM_LOAD_EDID_FIRMWARE) += \
    $(patsubst %,$(DRMD)%.o,drm_edid_load)
drm_kms_helper-$(CONFIG_DRM_KMS_FB_HELPER)     += \
    $(patsubst %,$(DRMD)%.o,drm_fb_helper)
drm_kms_helper-$(CONFIG_DRM_KMS_CMA_HELPER)     += \
    $(patsubst %,$(DRMD)%.o,drm_fb_cma_helper)

drm-y       := $(patsubst %,$(DRMD)%.o,      $(DRM_ITEMS))
i915-y      := $(patsubst %,$(DRMD)i915/%.o, $(I915_ITEMS))
intel_ips-y := $(patsubst %,drivers/platform/x86/%.o,intel_ips)
drm_mipi_dsi-y := $(patsubst %,drivers/gpu/drm/%.o,drm_mipi_dsi)

i915-$(CONFIG_COMPAT)            += $(patsubst %,$(DRMD)i915/%.o,i915_ioc32)
i915-$(CONFIG_DEBUG_FS)          += $(patsubst %,$(DRMD)i915/%.o,i915_debugfs)
i915-$(CONFIG_ACPI)              += $(patsubst %,$(DRMD)i915/%.o,intel_acpi intel_opregion)
i915-$(CONFIG_DRM_I915_FBDEV)    += $(patsubst %,$(DRMD)i915/%.o,intel_fbdev)

drm-usb-y                        := $(patsubst %,$(DRMD)%.o,drm_usb)
drm-$(CONFIG_COMPAT)             += $(patsubst %,$(DRMD)%.o,drm_ioc32)
drm-$(CONFIG_DRM_GEM_CMA_HELPER) += $(patsubst %,$(DRMD)%.o,drm_gem_cma_helper)
drm-$(CONFIG_PCI)                += $(patsubst %,$(DRMD)%.o,ati_pcigart)
drm-y                            += $(patsubst %,$(DRMD)%.o,drm_panel)

obj-$(CONFIG_DRM_I915)           += i915.o
obj-$(CONFIG_INTEL_IPS)          += intel_ips.o
obj-$(CONFIG_DRM)                += drm.o
obj-$(CONFIG_DRM_KMS_HELPER)     += drm_kms_helper.o
obj-$(CONFIG_DRM_MIPI_DSI)       += drm_mipi_dsi.o

obj-m := $(I9_MODULES)

CFLAGS_i915_trace_points.o := -I$(CPATH)
CFLAGS_drm_trace_points.o  := -I$(KBUILD_EXTMOD)/drivers/gpu/drm

modules: $(KBUILD) $(patsubst %.o,%.c,$(I9_MODULES))
	$(MAKE) -C $(KBUILD) M=$(PWD) O=$(KBUILD) modules

clean:
	rm -rf *.o *.ko *.cmd .*.cmd .tmp_versions

=== debian/changelog ===
i915-4.2-3.13 (4.2~rc1-1somerville2) trusty; urgency=medium

  * Provide the migration from i915-3.19-3.13-dkms 3.19.1-5. (LP: #1464570)

 -- Shih-Yuan Lee (FourDollars) <sylee@canonical.com>  Thu, 16 Jul 2015 15:10:05 +0800

i915-4.2-3.13 (4.2~rc1-1) trusty; urgency=medium

  * Rebase to v4.2-rc1.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 09 Jul 2015 21:56:31 +0300

i915-3.19-3.13 (3.19.1-6.1) trusty; urgency=medium

  * 9104-drm-i915-fix-the-vbt-child-device-parsing-for-bsw.diff
    - Fix booting on 3c15 platform

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 03 Jun 2015 05:59:21 +0300

i915-3.19-3.13 (3.19.1-6) trusty; urgency=medium

  * dkms.conf.in: add BUILD_EXCLUSIVE_KERNEL.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 22 May 2015 09:01:17 +0300

i915-3.19-3.13 (3.19.1-5.2) trusty; urgency=medium

  * add three patches to fix booting with new bios (LP: #1421129)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 15 May 2015 09:45:03 +0300

i915-3.19-3.13 (3.19.1-5) trusty; urgency=medium

  * Add chv suspend fix patch.

 -- Robert Hooker <sarvatt@ubuntu.com>  Wed, 01 Apr 2015 08:40:00 -0400

i915-3.19-3.13 (3.19.1-4) trusty; urgency=medium

  * Drop debhelper dependency for the dkms package.

 -- Robert Hooker <sarvatt@ubuntu.com>  Tue, 27 Jan 2015 13:26:00 -0500

i915-3.19-3.13 (3.19-rc6-2) trusty; urgency=medium

  * Update to 3.19-rc6

 -- Robert Hooker <sarvatt@ubuntu.com>  Mon, 26 Jan 2015 14:44:38 -0500

i915-3.19-3.13 (3.19-rc4-2) trusty; urgency=medium

  * Rebuild initramfs on update.

 -- Robert Hooker <sarvatt@ubuntu.com>  Mon, 26 Jan 2015 11:49:44 -0500

i915-3.19-3.13 (3.19-rc4) trusty; urgency=medium

  * New release, based on 3.19-rc4.

 -- Robert Hooker <sarvatt@ubuntu.com>  Wed, 14 Jan 2015 11:33:08 -0500

=== debian/control ===
Source: i915-4.2-3.13
Section: kernel
Priority: optional
Maintainer: Robert Hooker <robert.hooker@canonical.com>
XSBC-Original-Maintainer: Jack Leigh <jack.leigh@collabora.com>
Build-Depends: debhelper (>=5), quilt, dh-modaliases

Package: i915-4.2-3.13-source
Architecture: all
Depends: debhelper (>= 5), module-assistant, ${misc:Depends}
Replaces: i915-3.19-3.13-source (<< 4.2~rc1-1)
Breaks: i915-3.19-3.13-source (<< 4.2~rc1-1)
Description: Intel i915 video drivers from the mainline kernel,
 backported from the 4.2 series to the 3.13 series.
 .
 This package contains source to be built with module-assistant 
 or kernel-package.

Package: i915-3.19-3.13-source
Depends: i915-4.2-3.13-source, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: i915-4.2-3.13-dkms
Architecture: all
XB-Modaliases: ${modaliases}
Depends: dkms, linux-headers, ${misc:Depends}
Replaces: i915-3.19-3.13-dkms (<< 4.2~rc1-1)
Breaks: i915-3.19-3.13-dkms (<< 4.2~rc1-1)
Description: Intel i915 video drivers from the mainline kernel,
 backported from the 4.2 series to the 3.13 series.
 .
 This package contains the source to be built with dkms.

Package: i915-3.19-3.13-dkms
Depends: i915-4.2-3.13-dkms, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

# some default definitions, important!
#
# Name of the source package
psource:=i915-4.2-3.13-source
pdkms:=i915-4.2-3.13-dkms
sname:=i915-4.2-3.13
sversion:=$(shell dpkg-parsechangelog|grep "^Version:"|cut -d" " -f2|rev|cut -d- -f2-|rev|cut -d':' -f2)

### KERNEL SETUP
### Setup the stuff needed for making kernel module packages
### taken from /usr/share/kernel-package/sample.module.rules

# prefix of the target package name
PACKAGE=i915-4.2-3.13-dkms
# modifieable for experiments or debugging m-a
MA_DIR ?= /usr/share/modass
# load generic variable handling
-include $(MA_DIR)/include/genels ric.make
# load default rules, including kdist, kdist_image, ...
-include $(MA_DIR)/include/common-rules.make

# module assistant calculates all needed things for us and sets
# following variables:
# KSRC (kernel source directory), KVERS (kernel version string), KDREV
# (revision of the Debian kernel-image package), CC (the correct
# compiler), VERSION (the final package version string), PKGNAME (full
# package name with KVERS included), DEB_DESTDIR (path to store DEBs)

# The kdist_configure target is called by make-kpkg modules_config and
# by kdist* rules by dependency. It should configure the module so it is
# ready for compilation (mostly useful for calling configure).
# prep-deb-files from module-assistant creates the neccessary debian/ files
kdist_configure: prep-deb-files

# the kdist_clean target is called by make-kpkg modules_clean and from
# kdist* rules. It is responsible for cleaning up any changes that have
# been made by the other kdist_commands (except for the .deb files created)
kdist_clean: clean
	$(MAKE) $(MFLAGS) -f debian/rules clean

### end  KERNEL SETUP

build: patch

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# Create the directories to install the source into
	dh_installdirs -p$(psource)  usr/src/modules/$(sname)/debian
	dh_installdirs -p$(pdkms)  usr/src/$(sname)-$(sversion)
	# Copy only the driver source to the proper locations
	cp -a Makefile include drivers \
	    debian/$(psource)/usr/src/modules/$(sname)
	cp -a Makefile include drivers debian/$(pdkms)/usr/src/$(sname)-$(sversion)
	# Copy the needed debian/ pieces to the proper location
	cp debian/*.modules.in* \
		debian/$(psource)/usr/src/modules/$(sname)/debian
	install -m 0755 debian/rules.modules debian/$(psource)/usr/src/modules/$(sname)/debian/rules
	cd debian/$(psource)/usr/src && tar c modules | bzip2 -9 > $(sname).tar.bz2 && rm -rf modules
	# Prepare dkms.conf from the dkms.conf.in template
	sed "s/__VERSION__/$(sversion)/g" debian/dkms.conf.in > debian/$(pdkms)/usr/src/$(sname)-$(sversion)/dkms.conf
	dh_install

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_install
	dh_modaliases
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install kdist kdist_configure kdist_image kdist_clean
